/*
* Copyright 2011 E.J.I.E., S.A.
*
* Licencia con arreglo a la EUPL, Versión 1.1 exclusivamente (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en
*
* http://ec.europa.eu/idabc/eupl.html
*
* Salvo cuando lo exija la legislación aplicable o se acuerde por escrito,
* el programa distribuido con arreglo a la Licencia se distribuye «TAL CUAL»,
* SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
* Véase la Licencia en el idioma concreto que rige los permisos y limitaciones
* que establece la Licencia.
*/
package com.ejie.ad74a.model;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Bean contenedor de las propiedades que utiliza el componente table.
 * 
 * @author UDA
 *
 * @param <T> Tipo de bean que se va a representar en el table.
 */
@XmlRootElement(name = "DatosTarea")
public class DatosTarea implements java.io.Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3821865593385260736L;

	private Long idTarea;
	private Long idTareaTramite;

	private Expedientes expediente;

	/**
	 * Constructor.
	 */

	public DatosTarea() {
		super();
	}

	public DatosTarea(Long idTarea) {

		this.idTarea = idTarea;

	}

	@XmlElement(name = "idTarea", nillable = true)
	public Long getIdTarea() {
		return idTarea;
	}

	public void setIdTarea(Long idTarea) {
		this.idTarea = idTarea;
	}

	@XmlElement(name = "idTareaTramite", nillable = true)
	public Long getIdTareaTramite() {
		return idTareaTramite;
	}

	public void setIdTareaTramite(Long idTareaTramite) {
		this.idTareaTramite = idTareaTramite;
	}

	@XmlElement(name = "expediente", nillable = true)
	public Expedientes getExpediente() {
		return expediente;
	}

	public void setExpediente(Expedientes expediente) {
		this.expediente = expediente;
	}

}